using Godot;
using Newlon.Components.Level;

namespace Newlon.Components.GUI;

public partial class LevelRunButton : Button
{
	[Export] private AnimationPlayer _player;
    public override void _Pressed()
    {
        RuntimeLevelData.Instance.SetLevelState(RuntimeLevelData.LevelStates.Game);
		GetTree().Paused = false;

		_player.Play("Hide");
    }
}
